import { TeamAppsUiContext } from "../../TeamAppsUiContext";
import { AbstractUiDateTimeField } from "./AbstractUiDateTimeField";
import { UiInstantDateTimeFieldConfig, UiInstantDateTimeFieldCommandHandler, UiInstantDateTimeFieldEventSource } from "../../../generated/UiInstantDateTimeFieldConfig";
export declare class UiInstantDateTimeField extends AbstractUiDateTimeField<UiInstantDateTimeFieldConfig, number> implements UiInstantDateTimeFieldEventSource, UiInstantDateTimeFieldCommandHandler {
    private timeZoneId;
    protected initialize(config: UiInstantDateTimeFieldConfig, context: TeamAppsUiContext): void;
    isValidData(v: number): boolean;
    protected displayCommittedValue(): void;
    getTransientValue(): number;
    private getTimeZoneId;
    getReadOnlyHtml(value: number, availableWidth: number): string;
    getDefaultValue(): number;
    valuesChanged(v1: number, v2: number): boolean;
    setTimeZoneId(timeZoneId: string): void;
}
